com.microfocus.awm.meta.interfaces

## Interface GlobalAction

- All Superinterfaces:
    AWMIdentifiableObject, AWMObject, org.eclipse.emf.ecore.EObject, IFunctionPackageDefinable, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    GlobalActionImpl

      public interface GlobalAction
      extends AWMIdentifiableObject

  A global action describes the location of an executable action described by an action descriptor. Global actions are usually used for action descriptors that do not necessarily belong to a certain type (element type, filter type, …).

  There are two types of global actions: workbench actions and editor actions.

  The following features are supported:

  - `Action Enabled Condition`
  - `Action Visible Condition`
  - `ISA Editor Action`
  - `ISA Workbench Action`
  - `Icon`
  - `Label`
  - `Seq No`
  - `Submenu`
  - `Target ID`
  - `Separator After`
  See Also:
    `TaurusPackage.getGlobalAction()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `RSelectionEnabledCondition` | `getActionEnabledCondition()` Returns the value of the 'Action Enabled Condition' containment reference.
    `RSelectionVisibleCondition` | `getActionVisibleCondition()` Returns the value of the 'Action Visible Condition' containment reference.
    `Icon` | `getIcon()` Returns the value of the 'Icon' reference.
    `ISAEditorAction` | `getISAEditorAction()` Returns the value of the 'ISA Editor Action' containment reference.
    `ISAWorkbenchAction` | `getISAWorkbenchAction()` Returns the value of the 'ISA Workbench Action' containment reference.
    `java.lang.String` | `getLabel()` Returns the value of the 'Label' attribute.
    `java.lang.String` | `getLabelFromHierarchy()`
    `int` | `getSeqNo()` Returns the value of the 'Seq No' attribute.
    `java.lang.String` | `getSubmenu()` Returns the value of the 'Submenu' attribute.
    `ActionDescriptor` | `getTargetID()` Returns the value of the 'Target ID' reference.
    `boolean` | `isAEditorAction()`
    `boolean` | `isAWorkbenchAction()`
    `boolean` | `isSeparatorAfter()` Returns the value of the 'Separator After' attribute.
    `boolean` | `isSetSeqNo()` Returns whether the value of the '`Seq No`' attribute is set.
    `void` | `setActionEnabledCondition(RSelectionEnabledCondition value)` Sets the value of the '`Action Enabled Condition`' containment reference.
    `void` | `setActionVisibleCondition(RSelectionVisibleCondition value)` Sets the value of the '`Action Visible Condition`' containment reference.
    `void` | `setIcon(Icon value)` Sets the value of the '`Icon`' reference.
    `void` | `setISAEditorAction(ISAEditorAction value)` Sets the value of the '`ISA Editor Action`' containment reference.
    `void` | `setISAWorkbenchAction(ISAWorkbenchAction value)` Sets the value of the '`ISA Workbench Action`' containment reference.
    `void` | `setLabel(java.lang.String value)` Sets the value of the '`Label`' attribute.
    `void` | `setSeparatorAfter(boolean value)` Sets the value of the '`Separator After`' attribute.
    `void` | `setSeqNo(int value)` Sets the value of the '`Seq No`' attribute.
    `void` | `setSubmenu(java.lang.String value)` Sets the value of the '`Submenu`' attribute.
    `void` | `setTargetID(ActionDescriptor value)` Sets the value of the '`Target ID`' reference.
    `void` | `unsetSeqNo()` Unsets the value of the '`Seq No`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMIdentifiableObject

      `getID, getModelEditorGroup, isSetModelEditorGroup, setID, setModelEditorGroup, unsetModelEditorGroup`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.IFunctionPackageDefinable

      `getExtensionID, setExtensionID`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getActionEnabledCondition

          RSelectionEnabledCondition getActionEnabledCondition()

      Returns the value of the 'Action Enabled Condition' containment reference. By this complex attribute it's possible to define when the action is enabled. Disabled (non-enabled) actions are are greyed out or hidden from the context menu.
      Returns:
        the value of the 'Action Enabled Condition' containment reference.
      See Also:
        `setActionEnabledCondition(RSelectionEnabledCondition)`, `TaurusPackage.getGlobalAction_ActionEnabledCondition()`

    - #### setActionEnabledCondition

          void setActionEnabledCondition(RSelectionEnabledCondition value)

      Sets the value of the '`Action Enabled Condition`' containment reference.
      Parameters:
        `value` - the new value of the 'Action Enabled Condition' containment reference.
      See Also:
        `getActionEnabledCondition()`

    - #### getActionVisibleCondition

          RSelectionVisibleCondition getActionVisibleCondition()

      Returns the value of the 'Action Visible Condition' containment reference. By this complex attribute it is possible to define rules under which the action is visibled.
      Returns:
        the value of the 'Action Visible Condition' containment reference.
      See Also:
        `setActionVisibleCondition(RSelectionVisibleCondition)`, `TaurusPackage.getGlobalAction_ActionVisibleCondition()`

    - #### setActionVisibleCondition

          void setActionVisibleCondition(RSelectionVisibleCondition value)

      Sets the value of the '`Action Visible Condition`' containment reference.
      Parameters:
        `value` - the new value of the 'Action Visible Condition' containment reference.
      See Also:
        `getActionVisibleCondition()`

    - #### getISAEditorAction

          ISAEditorAction getISAEditorAction()

      Returns the value of the 'ISA Editor Action' containment reference. By specifying the complex attribute ISA Editor Action, the corresponding global action acts as an editor action. An editor action appears in the context menu of an editor if the file suffix of the opened file matches one of the modeled editor suffixes.
      Returns:
        the value of the 'ISA Editor Action' containment reference.
      See Also:
        `setISAEditorAction(ISAEditorAction)`, `TaurusPackage.getGlobalAction_ISAEditorAction()`

    - #### setISAEditorAction

          void setISAEditorAction(ISAEditorAction value)

      Sets the value of the '`ISA Editor Action`' containment reference.
      Parameters:
        `value` - the new value of the 'ISA Editor Action' containment reference.
      See Also:
        `getISAEditorAction()`

    - #### getISAWorkbenchAction

          ISAWorkbenchAction getISAWorkbenchAction()

      Returns the value of the 'ISA Workbench Action' containment reference. By specifying the complex attribute ISA Workbench Action, the corresponding global action acts as a workbench action. A workbench action is designed to appear under its modeled label in the Eclipse menu bar as a main entry or submenu entry.
      Returns:
        the value of the 'ISA Workbench Action' containment reference.
      See Also:
        `setISAWorkbenchAction(ISAWorkbenchAction)`, `TaurusPackage.getGlobalAction_ISAWorkbenchAction()`

    - #### setISAWorkbenchAction

          void setISAWorkbenchAction(ISAWorkbenchAction value)

      Sets the value of the '`ISA Workbench Action`' containment reference.
      Parameters:
        `value` - the new value of the 'ISA Workbench Action' containment reference.
      See Also:
        `getISAWorkbenchAction()`

    - #### getIcon

          Icon getIcon()

      Returns the value of the 'Icon' reference. The icon of the global action to display in menus.
      Returns:
        the value of the 'Icon' reference.
      See Also:
        `setIcon(Icon)`, `TaurusPackage.getGlobalAction_Icon()`

    - #### setIcon

          void setIcon(Icon value)

      Sets the value of the '`Icon`' reference.
      Parameters:
        `value` - the new value of the 'Icon' reference.
      See Also:
        `getIcon()`

    - #### getLabel

          java.lang.String getLabel()

      Returns the value of the 'Label' attribute.
      The global action label that appears in context menus or the menu bar.

      If not specified, the referenced action descriptor label is used.

      Returns:
        the value of the 'Label' attribute.
      See Also:
        `setLabel(String)`, `TaurusPackage.getGlobalAction_Label()`

    - #### setLabel

          void setLabel(java.lang.String value)

      Sets the value of the '`Label`' attribute.
      Parameters:
        `value` - the new value of the 'Label' attribute.
      See Also:
        `getLabel()`

    - #### getSeqNo

          int getSeqNo()

      Returns the value of the 'Seq No' attribute.
      The position number of the global action in menus.
      Returns:
        the value of the 'Seq No' attribute.
      See Also:
        `isSetSeqNo()`, `unsetSeqNo()`, `setSeqNo(int)`, `TaurusPackage.getGlobalAction_SeqNo()`

    - #### setSeqNo

          void setSeqNo(int value)

      Sets the value of the '`Seq No`' attribute.
      Parameters:
        `value` - the new value of the 'Seq No' attribute.
      See Also:
        `isSetSeqNo()`, `unsetSeqNo()`, `getSeqNo()`

    - #### unsetSeqNo

          void unsetSeqNo()

      Unsets the value of the '`Seq No`' attribute.
      See Also:
        `isSetSeqNo()`, `getSeqNo()`, `setSeqNo(int)`

    - #### isSetSeqNo

          boolean isSetSeqNo()

      Returns whether the value of the '`Seq No`' attribute is set.
      Returns:
        whether the value of the 'Seq No' attribute is set.
      See Also:
        `unsetSeqNo()`, `getSeqNo()`, `setSeqNo(int)`

    - #### getSubmenu

          java.lang.String getSubmenu()

      Returns the value of the 'Submenu' attribute.
      The name of a submenu in which the action should appear. If not specified, the action is created as a top level menu entry.
      Returns:
        the value of the 'Submenu' attribute.
      See Also:
        `setSubmenu(String)`, `TaurusPackage.getGlobalAction_Submenu()`

    - #### setSubmenu

          void setSubmenu(java.lang.String value)

      Sets the value of the '`Submenu`' attribute.
      Parameters:
        `value` - the new value of the 'Submenu' attribute.
      See Also:
        `getSubmenu()`

    - #### getTargetID

          ActionDescriptor getTargetID()

      Returns the value of the 'Target ID' reference. Reference to an action descriptor.
      Returns:
        the value of the 'Target ID' reference.
      See Also:
        `setTargetID(ActionDescriptor)`, `TaurusPackage.getGlobalAction_TargetID()`

    - #### setTargetID

          void setTargetID(ActionDescriptor value)

      Sets the value of the '`Target ID`' reference.
      Parameters:
        `value` - the new value of the 'Target ID' reference.
      See Also:
        `getTargetID()`

    - #### isSeparatorAfter

          boolean isSeparatorAfter()

      Returns the value of the 'Separator After' attribute. The default value is `"false"`.
      Determines whether a separator line is inserted behind the menu bar or context menu entry.
      Returns:
        the value of the 'Separator After' attribute.
      See Also:
        `setSeparatorAfter(boolean)`, `TaurusPackage.getGlobalAction_SeparatorAfter()`

    - #### setSeparatorAfter

          void setSeparatorAfter(boolean value)

      Sets the value of the '`Separator After`' attribute.
      Parameters:
        `value` - the new value of the 'Separator After' attribute.
      See Also:
        `isSeparatorAfter()`

    - #### isAWorkbenchAction

          boolean isAWorkbenchAction()

    - #### isAEditorAction

          boolean isAEditorAction()

    - #### getLabelFromHierarchy

          java.lang.String getLabelFromHierarchy()

Copyright © 2015 Micro Focus GmbH. All rights reserved.